OAuth Authorization
Start of Oauth process a Seller's to authorize access to a marketplace in FeedAMP.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
response_type
Specifies the OAuth authorization method. Only the Authorization code workflow is supported.
Allowed values:
client_id
The account id given by Feedonomics as part of the onboarding process
state
A unique value provided for each authorization request. This value will be returned in the query parameters in the redirect_url so the request can be verified by the marketplace.
redirect_url
The fully qualified url that the seller will be sent to once the Oauth Authorization workflow has been completed. The url will have the query parameters returning the authorization code and the provided state